curl --request POST \
--url https://api.recursion.labelbox.com/managed-agents/v1/event-sources/{eventSourceId}/pause \
--header 'Authorization: Bearer <token>' \
--header 'If-Match: <if-match>'import requests
url = "https://api.recursion.labelbox.com/managed-agents/v1/event-sources/{eventSourceId}/pause"
headers = {
"If-Match": "<if-match>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'If-Match': '<if-match>', Authorization: 'Bearer <token>'}
};
fetch('https://api.recursion.labelbox.com/managed-agents/v1/event-sources/{eventSourceId}/pause', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "2026-02-18T09:30:00.000Z",
"delivery": {
"kind": "webhook",
"verification": {
"signatureHeader": "example",
"signaturePrefix": "example",
"signedParts": [
{
"kind": "body"
}
],
"type": "none",
"verificationCredential": {
"credentialId": "9f8b1c2d-3e4f-5a6b-7c8d-9e0f1a2b3c4d",
"vaultId": "9f8b1c2d-3e4f-5a6b-7c8d-9e0f1a2b3c4d"
}
},
"verificationCredential": {
"credentialId": "9f8b1c2d-3e4f-5a6b-7c8d-9e0f1a2b3c4d",
"vaultId": "9f8b1c2d-3e4f-5a6b-7c8d-9e0f1a2b3c4d"
},
"webhookUrl": "example"
},
"displayName": "example",
"eventSourceId": "9f8b1c2d-3e4f-5a6b-7c8d-9e0f1a2b3c4d",
"revision": 1,
"status": "paused",
"type": "slack_events_api",
"updatedAt": "2026-02-18T09:30:00.000Z"
}{
"code": "invalid_request",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "unauthorized",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "forbidden",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "not_found",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "precondition_failed",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "precondition_required",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "rate_limit_exceeded",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "internal_error",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "bad_gateway",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "event_sources_unconfigured",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "gateway_timeout",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}Pause event admission from a source
Stops new admissions from this source without changing dependent triggers. Requires the latest strong ETag in If-Match.
Authorizations
A Recursion API key, created in the console under API keys.
Headers
Strong ETag returned by the latest event-source member read.
Path Parameters
Stable event-source identifier.
Response
Configured inbound event source, including its verification policy and lifecycle state.
Configured inbound event source, including its verification policy and lifecycle state.
Time the event source was created.
Customer-owned webhook endpoint and its non-secret verification configuration.
- Option 1
- Option 2
Show child attributes
Show child attributes
{ "kind": "webhook", "verification": { "signatureHeader": "example", "signaturePrefix": "example", "signedParts": [{ "kind": "body" }], "type": "none", "verificationCredential": { "credentialId": "9f8b1c2d-3e4f-5a6b-7c8d-9e0f1a2b3c4d", "vaultId": "9f8b1c2d-3e4f-5a6b-7c8d-9e0f1a2b3c4d" } }, "verificationCredential": { "credentialId": "9f8b1c2d-3e4f-5a6b-7c8d-9e0f1a2b3c4d", "vaultId": "9f8b1c2d-3e4f-5a6b-7c8d-9e0f1a2b3c4d" }, "webhookUrl": "example" }
Human-readable source name shown in the automation catalog.
Stable identifier for the event source.
Monotonic revision represented by the response ETag.
x >= 1Lifecycle state. Custom webhook sources start paused; connection-managed sources start active.
paused, active Inbound provider protocol interpreted by this source.
slack_events_api, github_webhook, custom_webhook Time the event source was last changed.